## oblige 3.57

=== Makefile ===
#----------------------------------------------------------------
# OBLIGE
#----------------------------------------------------------------
#
# GNU Makefile for Unix/Linux version (local files)
#
# This makefile creates an executable which excepts the script
# and data files in the same directory as itself, which mirrors
# how programs under Windows often work.  Use 'Makefile.unixy'
# if you want the more traditional kind of installation.
#
# NOTE: the Lua library must be compiled as C++
#
# NOTE 2: FLTK is statically linked in this version
#

PROGRAM=./Oblige

CXX=g++

LIB_LOC=./linux_lib

FLTK_DIR=$(LIB_LOC)/fltk-1.1.10
LUA_DIR=$(LIB_LOC)/lua-5.1.4
GLBSP_DIR=$(LIB_LOC)/glbsp-2.27-source

OPTIMISE=-O2 -g

# operating system choices: UNIX WIN32
OS=UNIX


#--- Internal stuff from here -----------------------------------

FLTK_FLAGS=-I$(FLTK_DIR)
FLTK_LIBS=$(FLTK_DIR)/lib/libfltk_images.a \
          $(FLTK_DIR)/lib/libfltk.a \
          -lX11 -lXext -lpng -ljpeg

LUA_FLAGS=-I$(LUA_DIR)/src -I/usr/include/lua5.1
LUA_LIBS=$(LUA_DIR)/src/liblua.a

GLBSP_FLAGS=-I$(GLBSP_DIR)/src
GLBSP_LIBS=$(GLBSP_DIR)/libglbsp.a

CXXFLAGS=$(OPTIMISE) -Wall -D$(OS) \
         $(FLTK_FLAGS) $(LUA_FLAGS) $(GLBSP_FLAGS)
LDFLAGS=-L/usr/X11R6/lib
LIBS=-lm -lz $(FLTK_LIBS) $(LUA_LIBS) $(GLBSP_LIBS)

OBJS=	./gui/main.o      \
	./gui/lib_argv.o  \
	./gui/lib_file.o  \
	./gui/lib_signal.o \
	./gui/lib_util.o  \
	./gui/lib_pak.o   \
	./gui/lib_wad.o   \
	./gui/sys_assert.o \
	./gui/sys_debug.o \
	./gui/csg_main.o  \
	./gui/csg_poly.o  \
	./gui/g_cookie.o  \
	./gui/g_lua.o     \
	./gui/img_bolt.o  \
	./gui/img_pill.o  \
	./gui/img_carve.o \
	./gui/img_relief.o \
	./gui/img_font1.o  \
	./gui/csg_doom.o  \
	./gui/csg_quake.o \
	./gui/dm_extra.o  \
	./gui/dm_glbsp.o  \
	./gui/dm_wad.o    \
	./gui/nk_art.o    \
	./gui/nk_level.o  \
	./gui/q1_clip.o   \
	./gui/q1_doors.o  \
	./gui/q1_main.o   \
	./gui/q_bsp.o     \
	./gui/vis_buffer.o \
	./gui/wolf_map.o  \
	./gui/twister.o   \
	./gui/tx_forge.o  \
	./gui/tx_skies.o  \
	./gui/ui_about.o  \
	./gui/ui_build.o  \
	./gui/ui_chooser.o \
	./gui/ui_dialog.o \
	./gui/ui_game.o   \
	./gui/ui_level.o  \
	./gui/ui_map.o    \
	./gui/ui_module.o \
	./gui/ui_rchoice.o \
	./gui/ui_play.o   \
	./gui/ui_window.o

RM = rm -rf
CP = cp -r
MD = mkdir -p
DESTDIR =
ICON = oblige-64.png
DESKTOP = oblige.desktop
DATA = data doc engines games mods scripts GPL.txt README.txt CHANGES.txt TODO.txt WISHLIST.txt
STUFFDIR = ./stuff
BINDIR = $(DESTDIR)/opt/oblige
ICNDIR = $(DESTDIR)/usr/share/pixmaps
APPDIR = $(DESTDIR)/usr/share/applications/hildon


#--- Targets and Rules ------------------------------------------

all: $(PROGRAM)

clean:
	rm -f $(PROGRAM) ./gui/*.o ./gui/core ./gui/core.*
	rm -f ./gui/ERRS ./gui/update.log

$(PROGRAM): $(OBJS)
	$(CXX) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS) $(LIBS)
	strip --strip-unneeded $(PROGRAM)

install: all
	@$(MD) "$(BINDIR)"
	@$(CP) "$(PROGRAM)" $(DATA) "$(BINDIR)"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(STUFFDIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(STUFFDIR)/$(DESKTOP)" "$(APPDIR)"

uninstall:
	@$(RM) "$(BINDIR)"
	@$(RM) "$(ICNDIR)/$(ICON)" "$(APPDIR)/$(DESKTOP)"

.PHONY: all clean bin

#--- editor settings ------------
# vi:ts=8:sw=8:noexpandtab

=== gui/Makefile ===
#----------------------------------------------------------------
# OBLIGE
#----------------------------------------------------------------
#
# GNU Makefile for Unix/Linux version (local files)
#
# This makefile creates an executable which excepts the script
# and data files in the same directory as itself, which mirrors
# how programs under Windows often work.  Use 'Makefile.unixy'
# if you want the more traditional kind of installation.
#
# NOTE: the Lua library must be compiled as C++
#
# NOTE 2: FLTK is statically linked in this version
#

PROGRAM=../Oblige

CXX=g++

LIB_LOC=../linux_lib

FLTK_DIR=$(LIB_LOC)/fltk-1.1.10
LUA_DIR=$(LIB_LOC)/lua-5.1.4
GLBSP_DIR=$(LIB_LOC)/glbsp-2.27-source

OPTIMISE=-O2 -g

# operating system choices: UNIX WIN32
OS=UNIX


#--- Internal stuff from here -----------------------------------

FLTK_FLAGS=-I$(FLTK_DIR)
FLTK_LIBS=$(FLTK_DIR)/lib/libfltk_images.a \
          $(FLTK_DIR)/lib/libfltk.a \
          -lX11 -lXext -lpng -ljpeg

LUA_FLAGS=-I$(LUA_DIR)/src
LUA_LIBS=$(LUA_DIR)/src/liblua.a

GLBSP_FLAGS=-I$(GLBSP_DIR)/src
GLBSP_LIBS=$(GLBSP_DIR)/libglbsp.a

CXXFLAGS=$(OPTIMISE) -Wall -D$(OS) \
         $(FLTK_FLAGS) $(LUA_FLAGS) $(GLBSP_FLAGS)
LDFLAGS=-L/usr/X11R6/lib 
LIBS=-lm -lz $(FLTK_LIBS) $(LUA_LIBS) $(GLBSP_LIBS)

OBJS=	main.o      \
	lib_argv.o  \
	lib_file.o  \
	lib_signal.o \
	lib_util.o  \
	lib_pak.o   \
	lib_wad.o   \
	sys_assert.o \
	sys_debug.o \
	csg_main.o  \
	csg_poly.o  \
	g_cookie.o  \
	g_lua.o     \
	img_bolt.o  \
	img_pill.o  \
	img_carve.o \
	img_relief.o \
	img_font1.o  \
	\
	csg_doom.o  \
	csg_quake.o \
	dm_extra.o  \
	dm_glbsp.o  \
	dm_wad.o    \
	nk_art.o    \
	nk_level.o  \
	q1_clip.o   \
	q1_doors.o  \
	q1_main.o   \
	q_bsp.o     \
	vis_buffer.o \
	wolf_map.o  \
	\
	twister.o   \
	tx_forge.o  \
	tx_skies.o  \
	ui_about.o  \
	ui_build.o  \
	ui_chooser.o \
	ui_dialog.o \
	ui_game.o   \
	ui_level.o  \
	ui_map.o    \
	ui_module.o \
	ui_rchoice.o \
	ui_play.o   \
	ui_window.o


#--- Targets and Rules ------------------------------------------

all: $(PROGRAM)

clean:
	rm -f $(PROGRAM) *.o core core.*
	rm -f ERRS update.log

$(PROGRAM): $(OBJS)
	$(CXX) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS) $(LIBS)

stripped: all
	strip --strip-unneeded $(PROGRAM)

.PHONY: all clean bin

#--- editor settings ------------
# vi:ts=8:sw=8:noexpandtab

=== linux_lib/glbsp-2.27-source/Makefile ===
####################################
#
# glBSP Makefile for UNIX and GCC
#
# Targets:
#    libglbsp.a
#    glbsp
#    glBSPX
#    glbsp.txt
#
#    all     : makes the library, cmdline program and docs
#    install : installs cmdline program
#    clean   : removes targets and intermediate files
#

LIB_NAME=libglbsp.a
CMD_NAME=glbsp
GUI_NAME=glBSPX
DOC_NAME=glbsp.txt

CC=gcc
CXX=g++
AR=ar rc
RANLIB=ranlib
STRIP=strip --strip-unneeded

BASE_FLAGS=-Wall -O2 -I./src -DUNIX -DINLINE_G=inline

FLTK_DIR=./fltk-1.1.7

INSTALL_PREFIX=/usr/local
MAN_PREFIX=$(INSTALL_PREFIX)/share/man


# ----- GENERAL STUFF ----------------------------------------------

all:    $(LIB_NAME) $(CMD_NAME) $(DOC_NAME)

clean:
	rm -f $(LIB_NAME) $(CMD_NAME) $(GUI_NAME) $(DOC_NAME)
	rm -f src/*.o cmdline/*.o gui/*.o
	rm -f ./core ./ERRS ./gb_debug.txt 

.PHONY: all clean


# ----- LIBRARY ----------------------------------------------------

LIB_FLAGS=$(BASE_FLAGS)

LIB_OBJS=\
	src/analyze.o  \
	src/blockmap.o \
	src/glbsp.o    \
	src/level.o    \
	src/node.o     \
	src/reject.o   \
	src/seg.o      \
	src/system.o   \
	src/util.o     \
	src/wad.o

src/%.o: src/%.c
	$(CC) $(LIB_FLAGS) -c $^ -o $@

$(LIB_NAME): $(LIB_OBJS)
	$(AR) $@ $(LIB_OBJS)
	$(RANLIB) $@


# ----- CMDLINE PROGRAM ---------------------------------------------

CMD_FLAGS=$(BASE_FLAGS)
CMD_LIBS=-lm -lz

CMD_OBJS=cmdline/main.o cmdline/display.o  

cmdline/%.o: cmdline/%.c
	$(CC) $(CMD_FLAGS) -c $^ -o $@

$(CMD_NAME): $(LIB_NAME) $(CMD_OBJS)
	$(CC) $(CMD_FLAGS) $(CMD_OBJS) -o $@ $(LIB_NAME) $(CMD_LIBS)
	$(STRIP) $@

install: $(CMD_NAME)
	cp $(CMD_NAME) $(INSTALL_PREFIX)/bin/
	chown root $(INSTALL_PREFIX)/bin/$(CMD_NAME)
	chmod 755 $(INSTALL_PREFIX)/bin/$(CMD_NAME)
	cp glbsp.1 $(MAN_PREFIX)/man1/
	chmod 644 $(MAN_PREFIX)/man1/glbsp.1

.PHONY: install


# ----- GUI PROGRAM ---------------------------------------------

FLTK_FLAGS=-I$(FLTK_DIR) -I$(FLTK_DIR)/zlib
FLTK_LIBS=-L$(FLTK_DIR)/lib -lfltk_images -lpng -lz -ljpeg \
          -lfltk -lX11 -lXext

## may need: -L/usr/X11R6/lib

GUI_FLAGS=$(BASE_FLAGS) $(FLTK_FLAGS)
GUI_LIBS=$(FLTK_LIBS) -lm

GUI_OBJS=\
	gui/main.o     \
	gui/about.o    \
	gui/book.o     \
	gui/booktext.o \
	gui/cookie.o   \
	gui/dialog.o   \
	gui/files.o    \
	gui/helper.o   \
	gui/images.o   \
	gui/license.o  \
	gui/menu.o     \
	gui/options.o  \
	gui/prefs.o    \
	gui/progress.o \
	gui/textbox.o  \
	gui/window.o

gui/%.o: gui/%.cc
	$(CXX) $(GUI_FLAGS) -c $^ -o $@

$(GUI_NAME): $(LIB_NAME) $(GUI_OBJS)
	$(CXX) $(GUI_FLAGS) $(GUI_OBJS) -o $@ $(LIB_NAME) $(GUI_LIBS)
	$(STRIP) $@


# ----- DOCUMENTATION ---------------------------------------------

DOC_FILES=README.txt USAGE.txt TRICKS.txt CHANGES.txt

$(DOC_NAME): $(DOC_FILES)
	cat $(DOC_FILES) > $@


#--- editor settings ------------
# vi:ts=8:sw=8:noexpandtab

=== linux_lib/lua-5.1.4/src/Makefile ===
# makefile for building Lua
# see ../INSTALL for installation instructions
# see ../Makefile and luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC= g++
CFLAGS= -O2 -Wall $(MYCFLAGS)
AR= ar rcu
RANLIB= ranlib
RM= rm -f
LIBS= -lm $(MYLIBS)

MYCFLAGS=
MYLDFLAGS=
MYLIBS=

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
	lundump.o lvm.o lzio.o
LIB_O=	lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
	lstrlib.o loadlib.o linit.o

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o print.o

ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(CORE_O) $(LIB_O)
	$(AR) $@ $?
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c print.c

echo:
	@echo "PLAT = $(PLAT)"
	@echo "CC = $(CC)"
	@echo "CFLAGS = $(CFLAGS)"
	@echo "AR = $(AR)"
	@echo "RANLIB = $(RANLIB)"
	@echo "RM = $(RM)"
	@echo "MYCFLAGS = $(MYCFLAGS)"
	@echo "MYLDFLAGS = $(MYLDFLAGS)"
	@echo "MYLIBS = $(MYLIBS)"

# convenience targets for popular platforms

none:
	@echo "Please choose a platform:"
	@echo "   $(PLATS)"

aix:
	$(MAKE) all CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl" MYLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) all MYCFLAGS=-DLUA_ANSI

bsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-Wl,-E"

freebsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_LINUX" MYLIBS="-Wl,-E -lreadline"

generic:
	$(MAKE) all MYCFLAGS=

linux:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"

macosx:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-lreadline"
# use this on Mac OS X 10.3-
#	$(MAKE) all MYCFLAGS=-DLUA_USE_MACOSX

mingw:
	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe
	$(MAKE) "LUAC_T=luac.exe" luac.exe

posix:
	$(MAKE) all MYCFLAGS=-DLUA_USE_POSIX

solaris:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h lobject.h llimits.h ldebug.h \
  lstate.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h \
  lundump.h lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lgc.h \
  ltable.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h lobject.h llimits.h lcode.h \
  llex.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h lstring.h \
  ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h lmem.h \
  lstate.h ltm.h lzio.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h
loadlib.o: loadlib.c lua.h luaconf.h lauxlib.h lualib.h
lobject.o: lobject.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h \
  ltm.h lzio.h lmem.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h llex.h lstring.h ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
  ltm.h lzio.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lgc.h ltable.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
  lmem.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h ldo.h lobject.h llimits.h \
  lstate.h ltm.h lzio.h lmem.h lfunc.h lopcodes.h lstring.h lgc.h \
  lundump.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
  llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
  lzio.h
print.o: print.c ldebug.h lstate.h lua.h luaconf.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lopcodes.h lundump.h

# (end of Makefile)

=== debian/changelog ===
oblige (3.57) unstable; urgency=low

  * Initial Release.

 -- trompkins <maciej.stankiewicz@gmail.com>  Thu, 26 Jan 2012 00:01:12 +0100

=== debian/control ===
Source: oblige
Section: user/utilities
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev (>= 1.1.99.6), liblua5.1-0-dev (>= 5.1.4-3), zlib1g-dev (>= 1.2.3-9), libxext-dev (>= 1.0.5-4), libpng12-dev (>= 1.2.37-1), libjpeg62-dev (>= 6b-9)
Standards-Version: 3.7.2

Package: oblige
Architecture: any
Depends: ${shlibs:Depends}
Description: OBLIGE is a random level generator for various classic games.
XB-Maemo-Display-Name: Oblige
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsS
 AAALEgHS3X78AAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAABH4SURBVHja1Jp3lFXVucB/+/Tb79xpMH2GcUAYiqIkalRE
 Y295GgsqJkTFp2jii2aZul6qL0bsPaa8FEM0CvaOCUFRwQEsNBmYgZmBabf3
 U/b7Y9BYE0HNWu/74969ztpnne+399f2d46QUvL/WbQPuxiLVrwz9jwP29Y4
 /oTp+02dlpnXObWhsph3ilKCEGNzPtb4nZ/3i0BKR1V0RXjS39Xe/pVfBwNV
 eccpvmfWjGmHfXyAd0su51BZWT3jrHM2vDLnqF3azoHVSAFitz679fvA+G2R
 EqQHnjf2/86kd81VFNBU2NXPVwf6si2xyiOudJyR92mylwBCCFzPnWzbnmZZ
 0NSkIz31Hyv69gp78u0FpVSysR0PTQfPE5RLCqah4fPrqKpAvutmVRUIxcbQ
 SkQjHvctHjZfffV1fL7Me/Q4as5H6PdhPvBuEwLI571Ia1vku7M+J2cX8slE
 seCVhRBCUQSlkiOEkG7ZtUdt6SU8UKKRUIVl6r5swtYmtbXMOOCgVGtt3Q46
 OiyCYYH0HBRVQwhQ1RJO2aO7O8Sjj1avv+MW9+BEPJvy+9X36JBI79rbHYCA
 X6S2bEl8a+MmE7AAd/fSZwmHw6TTKdpbDjZqrbo5ETVwUH1hfFtjZGpFfiis
 FbyV/pGOu6lrkeiGRFUtFB1KboF8QfLmGoMH7g+/uezZwLXbthUWK0qy7LfA
 dsTeOzHvs2EQhIIaUjooQsH1XFKZNIpPZfasg6bu42+5ZL/xnWe2V06oqLMm
 oZVjDDgrGan5E3bbn2mYmKG+JoBpOeSdJD2DkuQWH6tX1g889Nfoia+tGlpT
 Lu4AJK4HmfwnjEIfJaqqksvnKNolpnVOa/9S5/F3HFA9/agJlW3UWZPRRJAh
 1rCt+hekm+6huiNHa61CQLPIlsus2WoT7/YR6DkHbfsJ+Dckwsc1jhzy7csm
 rEkl4jx27yOohk6ktoJIVRjHdv6lTh/LBwAUoZDOpXENybHTj1rw1Zln3zk5
 1kFzaBo+EWA7L7EltIh8/VJq9nFoG6/jU02KeZudQyV6NkeoHPhP2vMXUkUb
 BZEh4exgy7bNDPlTA+HpsZOMsujyitC4XxsTprVQyBbeeX54fOXeA7ytvK05
 zJ897875U+cuaIjWUh+ZzLC9kfWBH5JreZDaCdBareJXDVxPx3Vc+vtyPL0S
 pm6/haOjC8EElN1BSIWMu4NN3RtZ1fsaTgsnV9RUPFLbUk/jxHqK+X/kghkH
 HbD3YTRfzCMtwfxDzrvrgqnnXtRU2UBdsIMBZyUvtnyR5v2L7F+tYBDAccF2
 bMBGCBNN15gw3iFv3cJT8j4sWYXuVOA6Gi3uaTRqh7Nvu0I4XMHKt155eLA0
 dELdlJbHhfiUnNhxHApukdMP+tL1F04/76LW6gZC/ihCUdnmrkLWF2mvAdf1
 KMkcqgChCkAgpKS6xk8s5lHwusk5m7EdKJbH4tjyDXczp3cF481DaKgVHKx8
 jqdWPfPYaP/Q7NbJjX8rZPIIRew9gCIEiVyGfVsnnjmv88wrmirrCfnDWLoJ
 CkyXJ1F+8zleHliFZRgIs4DURlGFgamaGMECPr9NKKATDQWJIlGEi2EIHJFj
 sE+ScwsgwFRM6qrrOHTKIax4fuUftjZVddY2jE/lEtl/CvFPAXLFPL6wr/Lc
 mWfd1Fk7iXAgjKlau0PpMEF1PIemH6JvYCO2VyBp9xN3BrAdSSZXZFt6nV0x
 a4k47MisZlqgaSCEScHOsXqjpO6thbQbR4GSQ0HFEjqtjS307+xv2PL0hlua
 rmifp2kmruPuOYAAiuUSc/Y9/KqjOw6vDQb8WJoPVVVwpIPjeBTKQ+SLZUpF
 lzd39dK1/Y2ezYPb3iiJUv8ra4ceMIOFE398hHp5OKyj6RaaUqLspnh9tR93
 +XeYrF+NE0uDW0RTTBSpYqkG0yZPpe/Fp87b+UbvzVMP3W91Zii15wD5UpFw
 JNxywqQvXjouVEvADKIqAk9KSuUi6XyG4fQoXTtf48HXHv3zS9tW3RXPJla6
 BbcIGm0dsZlXfy9x5tHHufj9fnTdo1x0WXQDXff/sm77RdNbT62bsY6YESJk
 hfHrCpqiois6FaEYE2pa2fD42ivqJjWcEwqF9gzA8zyKTpHpdVPP3L9hRtBn
 mhiqjislRbtEIpOiZ6SXP7+x9OX71y5dMDQ4vE7TBW5ZBxo459zANQsv33l1
 Z6eHh4Wm2PRtL3H3XY0v3XwjR5bt3vx3Uwu+/GLimOvmz5zbNK1+Cp7fI2QF
 0YTAUFTaW9vpWd93VnfXph80dDR111bXfHyAkl0CAZ3j9j2pPjweQzcRisBx
 HZLZBFtHevj1unt/87vl987HgUggSCrrEQ3XR75+hXx0/oVbvlBR5YA00Ciy
 6c0IV10VXfTcssyVUCQatiiWy/cvWfnI8t6R7Yu/f+SVs2e2zsDQNBTNQlFU
 oqEolVqF0rum+/B0Otk9ZWrnhweaDwVwy4RD4UkTa9pn+g0TQ9PxPMgUsoyk
 R3lw06OLf/fCvfMNNMK+MKmsSUd726wbbyltveTyLV+IVUk82ySXKfH731Vm
 jz3GOPO5ZYkrdSVPW/M4iuUy0pNEQ+HBrs3rvrRoxe0vbx3sIVvI4nguQoCh
 adRGqpBpeWQ+XWz/yEj5oQWcI6mwojOaog2WpmqoQsFzbbKFHC/0rRr846q/
 XCZKoOInnVWYc0T1JXf/JvHySaf0xSx/BXZZJ5kocMdtzV0XLwhUJRLOfaf9
 xyH89NqDuf2Os7jxultRVZVMJkcwEEiu2LTyG0s2PJ5PF3KUnDJSClShEA1F
 0Mrqfqqr7LdHAADS9SotxcDUfUgUSm6JXfFBXt7ZdVPJK42onoVphPUFC3x/
 uOHW7ttmzhxG0yyk61EqCrZ2G7zwQvq+yZ09pTvvOVlccukFtLQ1YVmw4NIL
 +M09N6OoCtKVYPPSsk3LF29P9I1lcQEIFcuw8KlGZTlTrNkjANWniqZxjU2R
 QAQhPBCSfLlIys2wI92/QkXFkSZzz+PB628ePWfiJIGHgSe9sSOiqhKKwH9d
 Ff/hohtIVFcvXx9P3rBmdOTBV0fjA+du39rPGXPP5fzzziZXzGOaBgPJXc++
 NbIV23XwPA9FCEzLQrhK1XD3cNMeRSFVVcdFfeE2U7NwpER4Etd28AyPqnBV
 IjWUBGqbG5tzh/mNMo704zM8HMejZOcwDIWWCRotbaapCdfM5bdFHa8buwwb
 Nzxz14a3Zjxv+Jv6K2Lld4pFx7MHCk4e23WQUqKioOkC17aVzHA6tkcA5VI5
 3ju0oydTSKOKsfOvpumMDo7wjYXfMPJakccff6x3yV/qn6qpDHzZFxjG8zyq
 q0wqYhaaWkLXS0QqJKGIIBgKoOkKQqbo3ea6q1/pdeKJOFu6+//REBACTaio
 QgUknvSwyx6KoeYrWyt79yyRlSnFM8meXCmP59mAiWGY+GyTzVs2Nc4+fk7X
 0089xiurhuetXVt9q66ZleWyU6qtDU6oqY1G46OFivPm5S889/xkMBRWEUIi
 vCI7+gLcdlNk0SOPPDAYiUigTCwaJZ5KMi42rqUh2oiughDq7rN4AU9XkvXt
 TUN7BqCCq3qpeDFF2XHHdkAo1MbGsX39ugsuuuWyhzK7Uvz4Jz8qlu3+5YIw
 puFn12CevoFhFNE8PRwTlwdCLqruR5Bn184w376q/n+WPLTjh5AhnzXRDB1V
 UUGF/ZunHd8abUTXTBQBtuei6Qr9I307Vr75as8Zl8/9+E6saRojmZHXtox0
 52y7jJQSUzeY0NxGNBk88anfPnza1T/4Fldd8k3am9rQDBfDKOO4DqbRElp0
 o7z37LNH1EDAhypKDO5Sufwy341Llq7/djDgUjeuFtPnQ1M1kpkU7c0Tjjtj
 +ilnVATC6LoBUuB5DslclpSbWTOai6/boyhkaSZO0Xlzw+Dm15PFNEXHRgiN
 qD/M/vtMp/+J7t+uWvbS9AVfu4A/3fFHZh14IPFUmqBvfNXPfuq9cs452yZH
 K8YKv00bPM46o3zLY48NXXHk7GN4+JG7OWvuASTTSRLpJOMax7dddMD5v59W
 M4VoMIap6LtrsTwZN01vtu/JvCgO7hGArukIRbhvDKx/dlu8l5JdwpMuumrQ
 2tDMQW2zghv+d+3fn17y5Bf8NUGk6gOI/eTn6otz522bZPn8OK7GyHCGJx+v
 XZ+Mz7j8F9ddz+LFT3LEEaeSyg2PHROnTp919RFff/HYjiMrayqqsXQDRSjY
 skwqk2agsGtXT3L7sr6Bvj2vRkNWkO7hnvseW//MZZ3jJkUCpoWmBfCpPibv
 sy+6aYbWblz79y3hjbfr5drLTz+f2y66bPM+BlCWRRzbpmhDa8dQy7U3hRaP
 q1/7atfmS0f07Z6jCt+aY6eefPbFc876zsToBKorKgmYfnRVw5VQtEukS1ke
 ff2ZX764amUGey+6EkII4rkE46K119x62rVXH9bxeUL+CIZq4nkORafEaDbJ
 W1s3050cyYnxXca+h72kV+0ziB5I4g+VUf0umaQgNSQY3enRv9nH6MZDqJVn
 MCk6kapwhGgoQtAMoikKUkLRLTMYH+Tlga7U1x+4euLQrqHBWKSC0WR8z3ZA
 SknUF2FXfPD2+9c9fM6k2vZGRVPRLA1VEfg0k9pwFeEpAabY2UD/wCx6HjiL
 PqMH1xzBCKcIRHOUixZONoJWrqSq2Ei7VUFdrUVFJIBP86GrGpqqIiXYbols
 Ps1QdoSlm5/8yVBiaDAaiiCRe3kmVhQMTd+x9I3H/ntm84xfzZ1+KqrQd2+3
 glBUNEUhaPgJtpZobghRKtaTzdnkCh7uThVdB90nCMRUAn6BzzCwNAOEgqoo
 CBQ8KXE9j3y5QDyV4KmeZcsefvXR63RXG6uX5F4CSCkJ+YKMZhO/vmn5nftX
 +ysvPXribEASMIPoQkGoOkhJUNUI6B6eTyJjAs9z8aSHIhQUMdalUBVld6tG
 QQgBQuB6Hq7nkC1mGUnGebLn+Z6bn7vr3EIyT2Ukhud5n6yt4klJLFBB/2D/
 wu8/8VOfAvOP6DgMT0LAsDA0fayFIlSEqiKkB0IgFG2sJEAidvfgxbvffEhw
 pYvt2mQLWUZScZ7Y8mzfNc9eP3t0ZHRnZfhfK/+xO3MCgUSSSCdpHN9wzzfn
 LPza8fvMoTJciWGaGKqBrmjvdAPGFH7/qw/5ju4eHp70yJfyFIp5htKjPPLW
 01tv+uudRw4PDvXEwhUfsPt4MvHJeqMCgZSSRD6J3++/+PQZp/x83gFnhjuq
 JxCw/Gi6jqkZaIr2HgiJ3J1sBI7n4kqHQrlEvmBTsnNsGn2L33fdt+ShdY+e
 l88WcrFAxYc67ScGeDdIupDBkU5HZ9OUH5/Seezph7Z+XmmNNRP2R3YnwbF5
 ilARAjzp4jgexaLHaLzMruEiI84mVsdXbF7eu+J7XVteu1+XOmF/CE9+uNl8
 agBv27LjOKTzGTSfdmBLrPncg1sPPH1GXWddW00btb4KFC9MuaTjepJ8wSVd
 yFFShxDRbTTst4Zk8G9ccNnItPggr1umhc+yEEJ8ZMT5VAHeDVIql8iV8yCI
 +S3frKhZO2Vy87h5pxznn1YbDePzKyiBPjQrQ+2EONWtQ1TFJL39Gvf+qrl9
 6QNmdzKZJ5vNYNs2iqL8+wDeDeJ5HmWnTL5QQBhK5fh65k7pVL7g2FI9+hj3
 0AsXUBO2wJUWhWyR226ue2ht1/RTDaPAzoEimzZtJZPJo+vavx/ggzAu+Zyg
 7LpAQPnqfHXtz64ZmhoMB9C0POtfNzn1ZN+BO/riqxWhYmgKpmWi/pOk9VEA
 Gp+ySCkRQiEUhtGEwoEHWBdeunB0quVXURSX/h0Oi66rvW1Hn706Gg4ghPKe
 e/dUlM/i9b8AMhkbnxVrvviSwnUdE3Nohonj2Pzyzuon7r03vzDgy6Mo6id+
 1mcCIIGyY3Liyd73TjgpFVSUALhpVq6ozC3+U81CKGJZKp/GdxqfCUA+b1MR
 CU8/82z7KzVVJVS1SDrp5/bbQj/q3bFjayw61qr8NOQzAVA1hWKhWLHpjZJW
 LCiMjmhcv6h56cMPZ6/1mc4HP5j4JOb6aUehsTJckMk4BIPKhccdX3N+Mqk/
 /8wzIz+SMmOHQxaet+em81FR6P8GAItqTz13PSIoAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd ./linux_lib/fltk-1.1.10 && $(MAKE)
	cd ./linux_lib/lua-5.1.4 && $(MAKE) linux
	cd ./linux_lib/glbsp-2.27-source && $(MAKE)
	$(MAKE)

	#docbook-to-man debian/oblige.sgml > oblige.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/oblige.
	$(MAKE) DESTDIR=$(CURDIR)/debian/oblige install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES.txt
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
